[package]
name = "shared"
version = "0.1.0"
edition = "2024"

[dependencies]
bitflags = "2.10.0"
bytemuck = { version = "1.24.0", features = ["derive"] }
enum_dispatch = "0.3.13"
num-traits = { version = "0.2.19", default-features = false, features = ["libm"] }
cuda_std = { git = "https://github.com/Rust-GPU/Rust-CUDA", branch = "main", default-features = false, optional = true }

[features]
use_f64 = []
cuda = ["cuda_std"]
cpu_debug = []
